<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en-US">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
    <title></title>
    <style type="text/css">
        @font-face {
            -fs-pdf-font-embed: embed;
            -fs-pdf-font-encoding: Identity-H;
        }

        * {
            font-family: Calibri;
            font-size: 16px;
        }

        @page {
            size: A4 portrait;
            margin-top: 80px;
            margin-bottom: 45px;
            margin-left: 30px;
            margin-right: 30px;

            @top-left {
                content: element(header);
            }
            @bottom-right {
                content: element(footer);
            }
        }

        #headerImage {
            position: running(header);
            height: 20mm;
            padding-left: 2mm;
            padding-top: 2mm;
        }

        #headerText {
            font-size: 24px !important;
            text-align: center;
            font-weight: bold;
            margin-bottom: 15px;
            top: 0;
        }

        .komentar {
            font-size: 20px !important;
            font-weight: 800;
        }

        .row {
            margin: 0 !important;
            width: 100%;
        }

        .aanwijzing .label-jml {
            width: 4%;
            line-height: 35px;
        }

        .rad-5 {
            border-radius: 5px;
        }

        .label-danger {
            background-color: #b51930;
        }

        .label {
            display: inline;
            padding: .2em .6em .3em;
            font-size: 75%;
            font-weight: 700;
            line-height: 1;
            color: #fff;
            text-align: center;
            white-space: nowrap;
            vertical-align: baseline;
            border-radius: .25em;
        }

        table, th, td {
            border: 0px solid black;
            margin-bottom: 10px;
        }

        .color-red {
            color: #CF3C4C;
        }

        .txt_footer {
            font-size: 12px;
            font-style: italic;
            text-align: right
        }

        #footerText {
            position: running(footer);
            padding-bottom: 3mm;
            width: 100%;
            color: black;
        }
        .imageQuestion {
            width: 30em;
        }
        .imageAnswer {
            width: 30em;
        }
    </style>
</head>
<body>
<div id="headerImage"><img src="${play.mvc.Router.getBaseUrl()}/public/images/ekatalog1.png" width="160"/></div>
<div id="headerText">
&{'aanwijzing_rekap.label'}<br/>
&{'pengumuman.label'} ${usulan?.judul_pengumuman == null ? usulan?.nama_usulan : usulan?.judul_pengumuman}
</div>
<div id="footerText" class="txt_footer">Dicetak Menggunakan Aplikasi e-Katalog Pemerintah pada tanggal ${now}</div>
<section>
    <table class="tbl-aanwijzing">
    #{list aanwijzingQuestion, as: 'aq'}
        <tr>
            <td rowspan="#{if aq?.doc_question != null && aq?.isFileExist()}6#{/if}#{else}5#{/else}" width="7%"
                style="vertical-align: top; text-align: center;"><span
                    class="label label-danger rad-5">${aq_index}</span></td>
            <td width="93%">${aq?.judul_pertanyaan}</td>
        </tr>
        <tr>
            <td>
            &{'ditanyakan_oleh.label'} <span class="color-red">${aq?.createdBy(aq?.created_by)}</span>
            &{'pada_tanggal.label'} ${aq?.getCreatedDateAndTime()}
            </td>
        </tr>
        <tr>
            <td>${aq?.cleanAndAbbreviateQuestion()}</td>
        </tr>
        #{if aq?.doc_question != null && aq?.isFileExist()}
            <tr>
                #{if aq?.getFileExtension() == ".png" || aq?.getFileExtension() == ".jpg" || aq?.getFileExtension() == ".jpeg"}
                    <td>
                        <img class="imageQuestion" src="${aq?.getFileAttachment()}"></img>
                    </td>
                #{/if}
                #{else}
                    <td>&{'lampiran_file.label'} : ${aq?.doc_question}</td>
                #{/else}
            </tr>
        #{/if}
        #{if aq?.getAllAnswer(aq?.produk_id, aq?.id).isEmpty()}
            <tr>
                <td>
                    <div class="komentar">&{'jawaban.label'}</div>
                </td>
            </tr>
            <tr>
                <td>Tidak ada komentar untuk pertanyaan ini.</td>
            </tr>
        #{/if}
        #{if !aq?.getAllAnswer(aq?.produk_id, aq?.id).isEmpty()}
            <tr>
                <td>
                    <div class="komentar">&{'jawaban.label'}</div>
                </td>
            </tr>
            <tr>
                <td>
                    <table class="tbl-aanwijzing-answer">
                        #{list aq?.getAllAnswer(aq?.produk_id, aq?.id), as: 'aa'}
                            <tr>
                                <td rowspan="#{if aa?.doc_answer != null && aa?.isFileExist()}4#{/if}#{else}3#{/else}" width="7%"
                                    style="vertical-align: top; text-align: center;"><span
                                        class="label label-danger rad-5">${aa_index}</span>&nbsp;&nbsp;</td>
                                <td width="93%"><span class="color-red">${aa?.createdBy(aa?.created_by)}</span></td>
                            </tr>
                            <tr>
                                <td>
                                ${aa?.getCreatedDateAndTime()}
                                </td>
                            </tr>
                            <tr>
                                <td>${aa?.cleanAndAbbreviateAnswer()}</td>
                            </tr>
                            #{if aa?.doc_answer != null && aa?.isFileExist()}
                                <tr>
                                    #{if aa?.getFileExtension() == ".png" || aa?.getFileExtension() == ".jpg" || aa?.getFileExtension() == ".jpeg"}
                                        <td><img class="imageAnswer" src="${aa?.getFileAttachment()}" ></img></td>
                                    #{/if}
                                    #{else}
                                        <td>&{'lampiran_file.label'} : ${aa?.doc_answer}</td>
                                    #{/else}
                                </tr>
                            #{/if}
                        #{/list}
                    </table>
                </td>
            </tr>
        #{/if}
    #{/list}
    </table>
</section>
</body>
</html>
